//////////////////////////////////////////////////////////////////////////////
// BasicComponent.hh
//////////////////////////////////////////////////////////////////////////////
#ifndef BASICCOMPONENT_HH
#define BASICCOMPONENT_HH
#include <Xm/Xm.h>

class BasicComponent {

protected:
  
  char     *_name;
  Widget   _w;    
  
  BasicComponent (const char*);   

public:
  
  virtual ~BasicComponent();
  virtual void manage();
  virtual void unmanage();
  virtual const char *const className() { return "BasicComponent"; }

  const Widget baseWidget() { return _w; }
};

#endif

